#pragma once

#include "Thread.h"

namespace Framework
{
    class Text;
    class Schrift;

    class MultiplChoiceDialog
    {
    private:
        RCArray< Text > *entrys;
        Array< void* > *ids;
        int ref;

    public:
        __declspec( dllexport ) MultiplChoiceDialog();
        __declspec( dllexport ) ~MultiplChoiceDialog();
        // Fgt eine Auswahlmglichkeit hinzu
        __declspec( dllexport ) void addChoice( const char *text, void *id );
        // Zeigt den dialog an und wartet auf benutzereingabe
        __declspec( dllexport ) void *anzeigen( Schrift *zSchrift );
        // Reference Counting
        __declspec( dllexport ) MultiplChoiceDialog *getThis();
        __declspec( dllexport ) MultiplChoiceDialog *release();
    };
}